Skip to content
Trade Password

Trade Password Auth

This interface is used to verify whether the trading password of a specified securities account is correct. By providing the account number account_no and the encrypted trading password encrypt_password, it returns the asset account unique identifier aaid and the user account member_id upon successful verification.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/account/trade/auth_pwd

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure

Data

accountobjectrequired

Account Info. Account Info

Child attributes
aaidstringrequired

Aaid. Aaid

member_idstringrequired

Member Id. Member Id

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs